<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:8127a2ed-0f21-4f1d-9c2a-223cf89cc2dd,g:e50c0380-f13d-4563-bf34-456cf131f3f2-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:aibg="http://aib.ie/20221231" xmlns:xbrli="http://www.xbrl.org/2003/instance" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://aib.ie/20221231">
  <xs:import namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aibg-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aibg-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aibg-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="aibg-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="Statementofcomprehensiveincomeprofitorlossbyfunctionofexpense" roleURI="http://aib.ie/role/Statementofcomprehensiveincomeprofitorlossbyfunctionofexpense">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Statementofcomprehensiveincomeprofitorlossbyfunctionofexpense_1" roleURI="http://aib.ie/role/Statementofcomprehensiveincomeprofitorlossbyfunctionofexpense_1">
        <link:definition>[0000001] Statement of comprehensive income, profit or loss, by function of expense</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftax" roleURI="http://aib.ie/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftax">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementofcomprehensiveincomeOCIcomponentspresentednetoftax_1" roleURI="http://aib.ie/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftax_1">
        <link:definition>[0000002] Statement of comprehensive income, OCI components presented net of tax</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Statementoffinancialpositioncurrentnoncurrent" roleURI="http://aib.ie/role/Statementoffinancialpositioncurrentnoncurrent">
        <link:definition>[0000003] Statement of financial position, current/non-current</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Statementofchangesinequity" roleURI="http://aib.ie/role/Statementofchangesinequity">
        <link:definition>[0000004] Statement of changes in equity</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Statementofcashflowsindirectmethod" roleURI="http://aib.ie/role/Statementofcashflowsindirectmethod">
        <link:definition>[0000005] Statement of cash flows, indirect method</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Tagsthatmustbeappliedifcorrespondinginformationispresentinareport" roleURI="http://aib.ie/role/Tagsthatmustbeappliedifcorrespondinginformationispresentinareport">
        <link:definition>[0000006] Tags that must be applied if corresponding information is present in a report</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://aib.ie/role/Anchoring">
        <link:definition>Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="aibg_AdjustmentsForDecreaseIncreaseInOperatingAssets" abstract="false" name="AdjustmentsForDecreaseIncreaseInOperatingAssets" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_ProfitLossFromOperatingActivitiesBeforeCreditImpairmentCredit" abstract="false" name="ProfitLossFromOperatingActivitiesBeforeCreditImpairmentCredit" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_AmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" abstract="false" name="AmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_AdjustmentsForIncreaseDecreaseInOperatingLiabilities" abstract="false" name="AdjustmentsForIncreaseDecreaseInOperatingLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_BuybackOfOrdinaryShares" abstract="false" name="BuybackOfOrdinaryShares" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_OperatingExpensesExcludingImpairment" abstract="false" name="OperatingExpensesExcludingImpairment" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="aibg_DepreciationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" abstract="false" name="DepreciationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
</xs:schema>
